TechDraw: Blocco di testo

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw RichTextBlock and the translation is 100% complete.

Other languages:
English • ‎français • ‎italiano
Arrow-left.svg Linea guida Pagina precedente:
Pagina successiva: Vertice cosmetico Techdraw-point.svg Arrow-right.svg

Techdraw-textleader.svg Blocco di testo

Posizione nel menu
TechDraw → Blocco di testo
Ambiente
TechDraw
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Modelli di squadrature, SVG, Linea guida


Descrizione

Lo strumento Blocco di testo aggiunge un blocco di annotazione formattato a una Linea guida o ad una vista.

TechDraw RichTextBlock sample.png

Blocco di testo indipendente


Utilizzo

  1. Premere il pulsante Techdraw-textleader.svg Blocco di testo.
  2. Si apre una finestra di dialogo delle azioni che consente l'immissione rapida del testo.
  3. Il pulsante Start Rich Text Editor apre un editor completo. Premere l'icona Salva per registrare le modifiche.
  4. Dopo aver creato il blocco, è possibile modificarlo facendo doppio clic su RichTextBlock nella struttura.
  5. Per collegare il blocco a una Linea guida, selezionare la linea prima di avviare lo strumento Blocco di testo.


Proprietà

  • DATAX,Y: la posizione del blocco. Relativa alla fine della linea se collegato a una Linea guida, altrimenti questa è la posizione sulla pagina.
  • DATAShowFrame: disegna un contorno attorno al blocco.
  • DATAMaxWidth: limita la dimensione orizzontale del blocco. Il valore di -1 è per larghezza illimitata.
  • DATAAnnoText: il testo HTML del blocco.


Script

Vedere anche: TechDraw API e Nozioni di base sugli script di FreeCAD.

Lo strumento Blocco di testo può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
blockObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawRichAnno','DrawRichAnno')
FreeCAD.activeDocument().myPage.addView(blockObj)
blockObj.X = 5
blockObj.Y = 5
blockObj.AnnoText = myHTMLText

Note

  • È possibile modificare il Blocco di testo facendo doppio clic su di esso nella vista ad albero. Il doppio clic nell'area grafica non è ancora supportato.
Arrow-left.svg Linea guida Pagina precedente:
Pagina successiva: Vertice cosmetico Techdraw-point.svg Arrow-right.svg